读取 SEC 公告研究结果
curl --request GET \
--url https://api.glasser.ai/v1/solutions/finance/sec_filings/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.glasser.ai/v1/solutions/finance/sec_filings/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.glasser.ai/v1/solutions/finance/sec_filings/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glasser.ai/v1/solutions/finance/sec_filings/result",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.glasser.ai/v1/solutions/finance/sec_filings/result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.glasser.ai/v1/solutions/finance/sec_filings/result")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glasser.ai/v1/solutions/finance/sec_filings/result")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"items": [
{
"name": "<string>",
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"exchange": "<string>",
"sector": "<string>",
"industry": "<string>",
"sic_code": "<string>",
"is_delisted": true,
"source": {
"run_id": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"provider_record_id": "<string>",
"url": "<string>"
}
}
],
"match_count": 123
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "resolve",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "forbidden",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "rate_limited",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}Solutions
读取 SEC 公告研究结果
免费读取同一批归一 SEC 证据和实际费用。
GET
/
v1
/
solutions
/
finance
/
sec_filings
/
result
读取 SEC 公告研究结果
curl --request GET \
--url https://api.glasser.ai/v1/solutions/finance/sec_filings/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.glasser.ai/v1/solutions/finance/sec_filings/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.glasser.ai/v1/solutions/finance/sec_filings/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glasser.ai/v1/solutions/finance/sec_filings/result",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.glasser.ai/v1/solutions/finance/sec_filings/result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.glasser.ai/v1/solutions/finance/sec_filings/result")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glasser.ai/v1/solutions/finance/sec_filings/result")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"items": [
{
"name": "<string>",
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"exchange": "<string>",
"sector": "<string>",
"industry": "<string>",
"sic_code": "<string>",
"is_delisted": true,
"source": {
"run_id": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"provider_record_id": "<string>",
"url": "<string>"
}
}
],
"match_count": 123
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "resolve",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "forbidden",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "rate_limited",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}使用 result_url 中的 token。签名上下文绑定 Workspace;每个来源 Run 都检查当前 Key Policy。读取不创建 Run、不调用 Provider,也不恢复兜底。较大文件包含完整归一输出;仅在保留期内刷新链接。Provider 原生输出仍通过 Get Run 读取。
查询参数
响应
归一的 SEC 证据保留精确公告/章节身份与来源 Run。缺失字段为 null;发行目标不等于已售金额,执法指控不等于处理结果。Provider 原生输出仍在 Run 上。结果读取免费,不恢复执行。
归一的 SEC 证据保留精确公告/章节身份与来源 Run。缺失字段为 null;发行目标不等于已售金额,执法指控不等于处理结果。Provider 原生输出仍在 Run 上。结果读取免费,不恢复执行。